Axon - Installation version 5.1

> Informatica Axon

1 - About

Installation of Axon.

2 - Requirement

2.1 - Hardware

  • Disk 200 GB (The installer check for 5GB)
  • Memory 16 GB
  • CPU Cores 4
  • OS RedHat Linux version 7.x

You cannot install Axon on the same server where the Hadoop cluster for Enterprise Information Catalog is installed.

Example Azure Machine:

az.cmd vm create ^
    --resource-group  MyGroup ^
    --name INFA-AXON-01 ^
    --image RedHat:RHEL:7.3:7.3.2017090723 ^
    --size Standard_D2s_v3 ^
    --authentication-type password ^
    --admin-username adm ^
    --admin-password pwd ^
    --location westeurope
Advertising

3 - Installation

The whole installation is done as root or with a user that has the sudo permission otherwise you get:

Installation Failed. 
 Please run the installer as the root or psuedo user.
Quiting Installation...

3.1 - As sudo user

Just to be able to connect with WinScp in order to modify the files if needed.

# Installation file
mkdir /tmp/infa
cd /tmp/infa
wget https://containerName.blob.core.windows.net/install/Axon_5.1.0_linux-x64.tar
tar -xvf Axon_5.1.0_linux-x64.tar

3.2 - As root

3.2.1 - Configuration

  • place the key in the default search place of the config file.
mv license_KeyAxon.zl /root/license.key
  • resources limit (Needed for root :))
vi  /etc/security/limits.conf
root                 hard   nofile    32000
root                 soft   nofile    4096
  • Disable secure linux by editing the /etc/selinux/config file
vim /etc/selinux/config
SELINUX=disabled
  • Reboot (Needed for SeLinux)
reboot
Advertising

3.2.2 - Package

yum update -y
 
yum install apr -y
yum install apr-util -y
yum install autoconf -y
yum install automake -y
yum install glibc -y
yum install graphviz -y
yum install libevent -y
yum install libjpeg-turbo -y
yum install libpng -y
yum install libselinux -y
yum install libtool-ltdl -y
yum install libX11 -y
yum install lksctp-tools -y
yum install mailcap -y
yum install mesa-libGLU -y
yum install pcre-devel -y
yum install systemd -y
yum install systemd-sysv -y
yum install t1lib -y
yum install tk -y
yum install xorg-x11-fonts-75dpi -y
yum install xorg-x11-fonts-Type1 -y
yum install openssl-libs -y
yum install socat -y
wget http://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -ivh epel-release-latest-7.noarch.rpm
# the epel repo must be now available
yum repolist
yum --enablerepo=epel install libmcrypt -y
yum --enablerepo=epel install wxBase -y
yum --enablerepo=epel install wxGTK -y
yum --enablerepo=epel install wxGTK-gl -y

3.2.3 - Firewall

firewall-cmd --zone=public --add-port=80/tcp --permanent
firewall-cmd --reload

3.2.4 - Verification

cd /tmp
wget https://containerName.blob.core.windows.net/install/installer-prerequisite-tester_5.1.zip
unzip installer-prerequisite-tester_5.1.zip
cd installer-prerequisite-tester
# sh ./validate.sh <Install Binary Directory>
sh ./validate.sh ../infa
######################### Verifying the system requirements for the Axon Installer ########################
System requirements verification passed...

########################## Verifying SELinux Configuration ####################################
SELinux verification passed...

############## Verifying internal RPMs ################
Internal RPM verification passed...

############## Verifying the Application RPMs ################
Preparing...                          ################################# [100%]

The Axon pre-installation verification completed successfully. Proceed with running the Axon installer

3.2.5 - Start the installer

  • Installation directory
mkdir /root/Informatica
mkdir /root/Informatica/Axon5.1.0
cd /tmp/infa
sh silentinstall.sh
# or sudo sh install.sh
######################### Verifying the system requirements for the Axon Installer ########################
The system requirements verification is complete.
The current operating system meets the minimum requirements to install Axon.

Select one of the following options to proceed :

  1. Install only Axon.
   Choose this option if you plan to use Axon without integrating it with Informatica Data Quality. Axon integrates with Informatica Data Quality to retrieve data quality scores and display them in the Axon dashboards in real time.

  2. Install only the Axon Agent.
   Choose this option if you have already installed Axon. You must install the Axon Agent to integrate Axon with Informatica Data Quality.

  3. Install both Axon and the Axon Agent.
  Choose this option if you plan to use Axon and integrate it with Informatica Data Quality.

Enter 1, 2, or 3:
1
Axon Installation Completed.
Advertising

3.3 - Changing the admin password

Now you can connect to your machine on the port 80 with the following credentials:

Change them …

4 - Configuration

See chapter 4 of the install guide for the connection to:

5 - Admin

5.1 - Services

#Document Upload
service axon_document_upload_microservice status
#Notification
service axon_notification_microservice status
#Change Request
service axon_changerequest_microservice status
#OrientDB
service orientdb status
#Camunda
ps -ef | grep camunda
#RabbitMQ
service rabbitmq-server status
#Httpd
service httpd status
#OdbConsumer
service OdbConsumer status
#Memcached
service memcached status
#Solr
service tomcat-solr status
#PostgreSQL
service postgresql-9.4 status
#DaemonTools
service daemontools status
#Bulk Upload
service axon_bulk_upload_microservice status

6 - Support

6.1 - package is already installed

When trying to install Axon, you may get this error file:

...........................
...........................
	package memcached-0:1.4.15-10.el7.x86_64 is already installed
	package jobber-1.2-1.el7.centos.x86_64 is already installed
	package daemontools-0.76-9.of.el7.x86_64 is already installed
	package daemonize-1.7.7-1.el7.x86_64 is already installed
The Axon pre-installation verification failed. Fix the issues logged in the following file before you run the Axon installer: 

You may get this situation:

  • if you uninstall and that you want to install the software again.
  • if you have already the package on the system

Solution: Remove the incriminated package from: <Install_Binary_Home>source/axon_tars/axon-packages/third-party-packages

See HOW TO: Install Axon when higher versions of RPMs are already installed in your system

Advertising

7 - Documentation / Reference